## SYNOPSIS

           lp [ -E ] [ -c ] [ -d destination ] [ -h server ] [ -m ] [
           -n num-copies [ -o option ] [ -q priority ] [ -s  ]  [  -t
           title ] [ -H handling ] [ -P page-list ] [ file(s) ]
           lp  [  -E  ]  [ -c ] [ -h server ] [ -i job-id ] [ -n num-
           copies [ -o option ] [ -q priority ] [ -t  title  ]  [  -H
           handling ] [ -P page-list ]
           cancel  [ -a ] [ -h server ] [ id ] [ destination ] [ des
           tination-id ]

## DESCRIPTION

           lp submits files for printing or alters a pending job.

           cancel cancels existing print jobs.  The  -a  option  will
           remove all jobs from the specified destination.

## OPTIONS

           The following options are recognized by lp:

           -E
                Forces encryption when connecting to the server.

           -c
                This  option  is provided for backwards-compatibility
                only. On systems that support it, this option  forces
                the  print  file  to be copied to the spool directory
                before printing. In CUPS, print files are always sent
                to the scheduler via IPP which has the same effect.

           -d destination
                Prints files to the named printer.

           -h hostname
                Specifies  the  print server hostname. The default is
                "localhost" or the value of the CUPS_SERVER  environ
                ment variable.

           -i job-id
                Specifies an existing job to modify.

           -m
                Send  email  when the job is completed (not supported
                CUPS 1.1.)

           -n copies
                Sets the number of copies to print from 1 to 100.

           -o option
                Sets a job option.

           -q priority
                Use  a value of resume with the -i option to resume a
                held job.

           -P page-list
                Specifies which pages to print in the  document.  The
                list  can  contain a list of numbers and ranges (#-#)
                separated by commas (e.g. 1,3-5,16).

## COMPATIBILITY

           Unlike the System V printing system, CUPS  allows  printer
           names  to contain any printable character except SPACE and
           TAB. Also, printer and class names are not case-sensitive.

           The "m" option is not functional in CUPS 1.1.

           The  "q"  option  accepts a different range of values than
           the Solaris lp command, matching the IPP job priority val
           ues (1-100) instead of the Solaris values (0-39).

## SEE ALSO

           lpstat(1),   CUPS  Software  Users  Manual,  http://local
           host:631/documentation.html

## COPYRIGHT

           Copyright 1993-2003 by Easy Software Products, All  Rights
           Reserved.

    25 September 2001  Common UNIX Printing System              lp(1)